TestCaseReasoningAssistant
Date: 2008-02-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tcra.gui
Class TestCaseReasoningAssistant

    java.lang.Object
      tcra.gui.TestCaseReasoningAssistant

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener, javax.swing.event.TreeSelectionListener

    public class TestCaseReasoningAssistant

extends java.lang.Object
implements java.awt.event.ActionListener, javax.swing.event.TreeSelectionListener

Constructor Summary
`TestCaseReasoningAssistant()` Default constructor.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent ae)` Fires by any component this class is registered to as an ActionListener when its action is performed.
`void` | `valueChanged(javax.swing.event.TreeSelectionEvent tse)` Fires when a method from the JTree has been selected.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestCaseReasoningAssistant

    public TestCaseReasoningAssistant()

  Default constructor.

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent ae)

  Fires by any component this class is registered to as an ActionListener when its action is performed. The source of the ActionEvent is determined and the proper private function is called.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Parameters:
    `ae` - ActionEvent generated by one of the registered components.

### valueChanged

    public void valueChanged(javax.swing.event.TreeSelectionEvent tse)

  Fires when a method from the JTree has been selected. Fills in the contract display pane and builds the variable table.

  Specified by:
    `valueChanged` in interface `javax.swing.event.TreeSelectionListener`
  Parameters:
    `tse` - TreeSelectionEvent passed from the JTree when a new tree node has been selected.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD